# 目标目录
TARGET=../../zhixun3/new_energy/server/common/table/new_energy
# 原目录
SOURCE=./gen/common/table/new_energy

.PHONY: all
all:
	php main.php new_energy record;
	php main.php new_energy query;
	php main.php new_energy gset;
	mv $(SOURCE)/record/*.php $(TARGET)/record/;
	mv $(SOURCE)/query/*.php $(TARGET)/query/;
	mv $(SOURCE)/getter_setter/*.php $(TARGET)/getter_setter/;

.PHONY: record
record:
	php main.php new_energy record;
	mv $(SOURCE)/record/*.php $(TARGET)/record/;

.PHONY: query	
query:
	php main.php new_energy query;
	mv $(SOURCE)/query/*.php $(TARGET)/query/;

.PHONY: gset
gset:
	php main.php new_energy gset;
	mv $(SOURCE)/getter_setter/*.php $(TARGET)/getter_setter/;